On Tue, Mar 08, 2005 at 09:00:34AM -0500, Justin Pryzby wrote:
> On Tue, Mar 08, 2005 at 10:22:54AM +0100, Javier Fernández-Sanguino Peña 
> wrote:
> > tags 279483 patch pending
> > thanks 
> > 
> > The attached patch should fix this, I'm making a NMU upload as this RC bug 
> > has been over 4 months unanswered.
> Same as #279484 (susv2).  Are you planning on NMU that too?  BTW; I
> talked to the maintainer Jan 13, 2005, and he indicated that he hoped
> to upload shortly (but appears to have been bitten by Real Life).

I was not aware of it, but now that I see it I will fix with the attached 
patch.

Regards

Javier
diff -Nru susv2-1/debian/changelog susv2-1.1/debian/changelog
--- susv2-1/debian/changelog    2004-10-26 23:55:44.000000000 +0200
+++ susv2-1.1/debian/changelog  2005-03-08 16:19:55.000000000 +0100
@@ -1,3 +1,13 @@
+susv2 (1.1) unstable; urgency=low
+
+  * NMU. 0-day as this is a rather easy fix and there has been no response
+    from the maintainer since this was brought up 4 months ago.
+  * Do not preserve ownership or users when untarring the downloaded files
+    by using --no-same-owner --no-same-permissions
+   (Closes: #279484)
+
+ -- Javier Fernandez-Sanguino Pen~a <[EMAIL PROTECTED]>  Tue,  8 Mar 2005 
16:19:20 +0100
+
 susv2 (1) unstable; urgency=low
 
   * Initial release (Closes: #274956)
diff -Nru susv2-1/debian/files susv2-1.1/debian/files
--- susv2-1/debian/files        1970-01-01 01:00:00.000000000 +0100
+++ susv2-1.1/debian/files      2005-03-08 16:22:04.000000000 +0100
@@ -0,0 +1 @@
+susv2_1.1_all.deb contrib/doc extra
diff -Nru susv2-1/debian/postinst susv2-1.1/debian/postinst
--- susv2-1/debian/postinst     2003-12-18 17:02:25.000000000 +0100
+++ susv2-1.1/debian/postinst   2005-03-08 16:21:58.000000000 +0100
@@ -7,7 +7,7 @@
 echo Fetching file...
 wget -P $TMPDIR 
http://www.opengroup.org/onlinepubs/007908799/download/susv2.tar.bz2
 echo Untaring...
-bunzip2 -cd $TMPDIR/susv2.tar.bz2 | tar xf - -C /usr/share/doc/susv2
+bunzip2 -cd $TMPDIR/susv2.tar.bz2 | tar xf - -C /usr/share/doc/susv2 
--no-same-permissions --no-same-owner
 
 rm -rf $TMPDIR
 
diff -Nru susv2-1/debian/susv2/DEBIAN/control 
susv2-1.1/debian/susv2/DEBIAN/control
--- susv2-1/debian/susv2/DEBIAN/control 1970-01-01 01:00:00.000000000 +0100
+++ susv2-1.1/debian/susv2/DEBIAN/control       2005-03-08 16:22:04.000000000 
+0100
@@ -0,0 +1,12 @@
+Package: susv2
+Version: 1.1
+Section: contrib/doc
+Priority: extra
+Architecture: all
+Depends: wget, bzip2
+Installed-Size: 48
+Maintainer: Jeff Bailey <[EMAIL PROTECTED]>
+Description: Fetch and install SUSv2 documentation
+ The Single Unix Specifications are not permitted to be generally
+ redistributed, so this is an installer that fetches them and installs
+ them in a Debian appropriate way.
diff -Nru susv2-1/debian/susv2/DEBIAN/md5sums 
susv2-1.1/debian/susv2/DEBIAN/md5sums
--- susv2-1/debian/susv2/DEBIAN/md5sums 1970-01-01 01:00:00.000000000 +0100
+++ susv2-1.1/debian/susv2/DEBIAN/md5sums       2005-03-08 16:22:04.000000000 
+0100
@@ -0,0 +1,3 @@
+44a0ac8bc9ebad239546f5135ee7baae  usr/share/doc/susv2/copyright
+ba3166e16ff3fb8f5ffafa16f5c4639f  usr/share/doc/susv2/changelog.gz
+21eff40c006987ecaf747ddff5430d46  usr/share/doc-base/susv2
diff -Nru susv2-1/debian/susv2/DEBIAN/postinst 
susv2-1.1/debian/susv2/DEBIAN/postinst
--- susv2-1/debian/susv2/DEBIAN/postinst        1970-01-01 01:00:00.000000000 
+0100
+++ susv2-1.1/debian/susv2/DEBIAN/postinst      2005-03-08 16:22:04.000000000 
+0100
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+TMPDIR=$(mktemp -td) || exit 1
+
+echo Fetching file...
+wget -P $TMPDIR 
http://www.opengroup.org/onlinepubs/007908799/download/susv2.tar.bz2
+echo Untaring...
+bunzip2 -cd $TMPDIR/susv2.tar.bz2 | tar xf - -C /usr/share/doc/susv2 
--no-same-permissions --no-same-owner
+
+rm -rf $TMPDIR
+
+## Note: Keep debhelper token after so that files exist when they're being
+## registered.
+
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+       install-docs -i /usr/share/doc-base/susv2
+fi
+# End automatically added section
+
diff -Nru susv2-1/debian/susv2/DEBIAN/prerm susv2-1.1/debian/susv2/DEBIAN/prerm
--- susv2-1/debian/susv2/DEBIAN/prerm   1970-01-01 01:00:00.000000000 +0100
+++ susv2-1.1/debian/susv2/DEBIAN/prerm 2005-03-08 16:22:04.000000000 +0100
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+   which install-docs >/dev/null 2>&1; then
+       install-docs -r susv2
+fi
+# End automatically added section
+
+
+## Note:  Keep debhelper token before so that this package behaves
+## like other packages - The files should still exist when the debhelper
+## bits runs.
+
+rm -rf /usr/share/doc/susv2/susv2
+
Los ficheros binarios susv2-1/debian/susv2/usr/share/doc/susv2/changelog.gz y 
susv2-1.1/debian/susv2/usr/share/doc/susv2/changelog.gz son distintos
diff -Nru susv2-1/debian/susv2/usr/share/doc/susv2/copyright 
susv2-1.1/debian/susv2/usr/share/doc/susv2/copyright
--- susv2-1/debian/susv2/usr/share/doc/susv2/copyright  1970-01-01 
01:00:00.000000000 +0100
+++ susv2-1.1/debian/susv2/usr/share/doc/susv2/copyright        2003-12-18 
17:01:04.000000000 +0100
@@ -0,0 +1,6 @@
+This package was created by Jeff Bailey on December 17th.
+This is in the PUBLIC DOMAIN.
+
+The files that this installer downloads, however, have their own licenses.
+
+
diff -Nru susv2-1/debian/susv2/usr/share/doc-base/susv2 
susv2-1.1/debian/susv2/usr/share/doc-base/susv2
--- susv2-1/debian/susv2/usr/share/doc-base/susv2       1970-01-01 
01:00:00.000000000 +0100
+++ susv2-1.1/debian/susv2/usr/share/doc-base/susv2     2003-12-18 
17:03:01.000000000 +0100
@@ -0,0 +1,9 @@
+Document: susv2
+Title: Single Unix Specification Version 2
+Author: The Open Group
+Abstract: This is the POSIX standard
+Section: Debian
+
+Format: HTML
+Index: /usr/share/doc/susv2/susv2/index.html
+Files: /usr/share/doc/susv2/susv2/*.html
diff -Nru susv2-1/debian/susv2.postinst.debhelper 
susv2-1.1/debian/susv2.postinst.debhelper
--- susv2-1/debian/susv2.postinst.debhelper     1970-01-01 01:00:00.000000000 
+0100
+++ susv2-1.1/debian/susv2.postinst.debhelper   2005-03-08 16:22:01.000000000 
+0100
@@ -0,0 +1,5 @@
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+       install-docs -i /usr/share/doc-base/susv2
+fi
+# End automatically added section
diff -Nru susv2-1/debian/susv2.prerm.debhelper 
susv2-1.1/debian/susv2.prerm.debhelper
--- susv2-1/debian/susv2.prerm.debhelper        1970-01-01 01:00:00.000000000 
+0100
+++ susv2-1.1/debian/susv2.prerm.debhelper      2005-03-08 16:22:01.000000000 
+0100
@@ -0,0 +1,6 @@
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+   which install-docs >/dev/null 2>&1; then
+       install-docs -r susv2
+fi
+# End automatically added section

Attachment: signature.asc
Description: Digital signature

Reply via email to